package com.crm.pay.dto.finance.withdraw.automatic;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.math.BigDecimal;
import java.util.LinkedHashMap;
import java.util.Map;

@Data
public class FinanceWithdrawPartnerDto extends FinanceWithdrawDto {

    private Map<String, String> params;
    private Map<String, String> paramsEn;

    @JSONField(ordinal = 1)
    private BigDecimal amount;
    @JSONField(ordinal = 10)
    private String name;
    @JSONField(ordinal = 20)
    private String bankName;
    @JSONField(ordinal = 30)
    private String bankBranch;
    @JSONField(ordinal = 40)
    private String bankAccount;
    @JSONField(ordinal = 50)
    private String mobile;
    @JSONField(ordinal = 60)
    private String memo;

    public FinanceWithdrawPartnerDto() {
        params = new LinkedHashMap<>();
        paramsEn = new LinkedHashMap<>();

        params.put("amount", "金额");
        params.put("name", "收款人姓名");
        params.put("bankCode", "银行代码");
        params.put("bankName", "收款银行名称");
        params.put("bankAccount", "收款银行账号");
        params.put("bankBranch", "收款银行支行");
        params.put("mobile", "收款通知手机号");
        params.put("memo", "收款附言");

        paramsEn.put("amount", "amount");
        paramsEn.put("name", "name");
        paramsEn.put("bankCode", "bank Code");
        paramsEn.put("bankName", "bank Name");
        paramsEn.put("bankAccount", "bank Account");
        paramsEn.put("bankBranch", "bank Branch");
        paramsEn.put("mobile", "mobile");
        params.put("memo", "memo");

    }
}
